@type    : 'global';
@element : 'site';

@import (multiple) '../../theme.config';

.container {
  position: fixed;
  top: 0;
  width: 100vw;
  background: @pageBackground;
  z-index: 1001;

  height: 80px;
  padding: 15px 4vw;
  box-shadow: 0 0 3px rgba(0, 0, 0, 0.3);

  display: flex;
  flex-direction: row;

  @media only screen and (max-width: @smallScreen) {
    height: 70px;
    padding: 10px 4vw;
  }

  a {
    text-decoration: none;
    transition: color 0.2s ease;
    color: @primaryColor;

    &:hover {
      color: @secondaryColor;
    }
  }
}

.logoLink {
  height: 50px;

  @media only screen and (max-width: @smallScreen) {
    width: 100vw;
    display: flex;
    padding: 0;
    top: 40px;
  }

  & img {
    height: 100%;
  }
}

.navigation {
  display: flex;
  flex-direction: row;
  flex: 1;

  @media only screen and (max-width: @menuSmallScreen) {
    position: absolute;
    flex-direction: column;
    top: 80px;
    left: 0;
    max-height: 0;
    width: 100%;
    overflow: hidden;
    background-color: @pageBackground;
    border-top: 1px dashed transparent;
    transition: max-height 0.3s cubic-bezier(0.77, 0.2, 0.05, 1.0),
      padding 0.3s cubic-bezier(0.77, 0.2, 0.05, 1.0),
      border-top 0.3s cubic-bezier(0.77, 0.2, 0.05, 1.0);
    box-shadow: 0 3px 3px -3px rgba(0, 0, 0, 0.3);
  }

  @media only screen and (max-width: @smallScreen) {
    top: 70px;
  }
}

.navigation_active {
  @media only screen and (max-width: @menuSmallScreen) {
    max-height: 20em;
    padding-bottom: 15px;
    border-top: 1px dashed rgba(0, 0, 0, 0.3);
  }

  .companyMenu {
    @media only screen and (min-width: @menuSmallScreen) and (max-width: @menuMediumScreen) {
      max-height: 80px;
      padding-top: 15px;
      padding-bottom: 15px;
      border-top: 1px dashed rgba(0, 0, 0, 0.3);
    }
  }
}

.navigationGroup {
  display: flex;
  flex-direction: row;
  padding: 0.3rem 0 0 4rem;
  font-size: @menuFontSize;
  color: @primaryColor;

  @media only screen and (max-width: @menuSmallScreen) {
    flex-direction: column;
    padding: 0 1.8rem;
  }
}

.navigationItem {
  margin-right: 2em;

  &:last-of-type {
    margin-right: 0;
  }

  @media only screen and (max-width: @menuSmallScreen) {
    margin: 1rem 0;
    display: block;
  }
  
  a {
    @media only screen and (max-width: @menuSmallScreen) {
      display: block;
      width: 100%;
    }
  }

  &:global(.active) {
    &::after {
      display: block;
      width: 100%;
      height: 0.1em;
      background: @primaryColor;
      content: "";
      position: relative;
      top: 5px;
    }

    a:hover {
      color: unset;
    }
  }
}

.companyMenu {
  justify-content: flex-end;
  flex: 1;

  @media only screen and (max-width: @menuSmallScreen) {
    justify-content: unset;
    border-top: 1px dashed rgba(0, 0, 0, 0.3);
  }

  @media only screen and (min-width: @menuSmallScreen) and (max-width: @menuMediumScreen) {
    position: absolute;
    top: 80px;
    left: 0;
    right: 0;
    max-height: 0;
    padding: 0 1.8rem;
    overflow: hidden;
    background-color: @pageBackground;
    border-top: 1px dashed transparent;
    transition: max-height 0.3s cubic-bezier(0.77, 0.2, 0.05, 1.0),
      padding 0.3s cubic-bezier(0.77, 0.2, 0.05, 1.0),
      border-top 0.3s cubic-bezier(0.77, 0.2, 0.05, 1.0);
    box-shadow: 0 3px 3px -3px rgba(0, 0, 0, 0.3);
  }
}

.languageSwitch {
  margin-left: 1rem;
  padding: .3rem 0 0 1rem;
  border-style: solid;
  border-color: @primaryColor;
  border-width: 0;
  border-left-width: 1px;

  @media only screen and (max-width: @menuMediumScreen) {
    position: absolute;
    top: 1.2rem;
    right: 5.5rem;
    padding: .15rem 1rem .15rem 0;
    border-width: 0;
    border-right-width: 1px;
  }
}

.burger {
  display: none;
  position: absolute;
  top: 1rem;
  right: 1.5rem;

  @media only screen and (max-width: @menuMediumScreen) {
    display: block;
  }

  @media only screen and (max-width: @smallScreen) {
    top: 0.8rem;
  }
}

.burgerLabel {
  display: none !important;
  position: absolute !important;
  z-index: -1;
  top: 80px;
  right: 0;
  margin: 0 0 0 -1.5em !important;
  white-space: nowrap;

  &.show {
    @media only screen and (max-width: @menuMediumScreen) and (min-width: @menuSmallScreen) {
      display: block !important;
    }
  }

  &::before {
    left: unset !important;
    right: 15px;
  }
}
